Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxEthEthObjStats Struct Reference [IXP425 Ethernet Access (IxEthAcc) API] This struct defines the statistics returned by this component. The component returns MIB2 EthObj variables which should are obtained from the hardware or maintained by this component. More...
## Data Fields
UINT32 | dot3StatsAlignmentErrors
| link error count
UINT32 | dot3StatsFCSErrors
| link error count
UINT32 | dot3StatsFrameTooLongs
| link error count
UINT32 | dot3StatsInternalMacReceiveErrors
| link error count
UINT32 | LearnedEntryDiscards
| NPE error count.
UINT32 | UnderflowEntryDiscards
| NPE error count.
UINT32 | dot3StatsSingleCollisionFrames
| link error count
UINT32 | dot3StatsMultipleCollisionFrames
| link error count
UINT32 | dot3StatsDeferredTransmissions
| link error count
UINT32 | dot3StatsLateCollisions
| link error count
UINT32 | dot3StatsExcessiveCollsions
| link error count
UINT32 | dot3StatsInternalMacTransmitErrors
| link error count
UINT32 | dot3StatsCarrierSenseErrors
| link error count
## Detailed Description This struct defines the statistics returned by this component. The component returns MIB2 EthObj variables which should are obtained from the hardware or maintained by this component. Definition at line 1389 of file IxEthAcc.h. ## Field Documentation
UINT32 IxEthEthObjStats::dot3StatsAlignmentErrors
| link error count Definition at line 1391 of file IxEthAcc.h.
UINT32 IxEthEthObjStats::dot3StatsCarrierSenseErrors
| link error count Definition at line 1403 of file IxEthAcc.h.
UINT32 IxEthEthObjStats::dot3StatsDeferredTransmissions
| link error count Definition at line 1399 of file IxEthAcc.h.
UINT32 IxEthEthObjStats::dot3StatsExcessiveCollsions
| link error count Definition at line 1401 of file IxEthAcc.h.
UINT32 IxEthEthObjStats::dot3StatsFCSErrors
| link error count Definition at line 1392 of file IxEthAcc.h.
UINT32 IxEthEthObjStats::dot3StatsFrameTooLongs
| link error count Definition at line 1393 of file IxEthAcc.h.
UINT32 IxEthEthObjStats::dot3StatsInternalMacReceiveErrors
| link error count Definition at line 1394 of file IxEthAcc.h.
UINT32 IxEthEthObjStats::dot3StatsInternalMacTransmitErrors
| link error count Definition at line 1402 of file IxEthAcc.h.
UINT32 IxEthEthObjStats::dot3StatsLateCollisions
| link error count Definition at line 1400 of file IxEthAcc.h.
UINT32 IxEthEthObjStats::dot3StatsMultipleCollisionFrames
| link error count Definition at line 1398 of file IxEthAcc.h.
UINT32 IxEthEthObjStats::dot3StatsSingleCollisionFrames
| link error count Definition at line 1397 of file IxEthAcc.h.
UINT32 IxEthEthObjStats::LearnedEntryDiscards
| NPE error count. Definition at line 1395 of file IxEthAcc.h.
UINT32 IxEthEthObjStats::UnderflowEntryDiscards
| NPE error count. Definition at line 1396 of file IxEthAcc.h.
The documentation for this struct was generated from the following file: IxEthAcc.h
Automatically generated from sources. © Intel Corp. 2003